/* Base global styles for all themes */
/* Icomoon (font icons) loading */
@font-face {
	font-family: 'icomoon';
	src:  url('../fonts/icomoon.eot?sr3yr9');
	src:  url('../fonts/icomoon.eot?sr3yr9#iefix') format('embedded-opentype'),
	  url('../fonts/icomoon.ttf?sr3yr9') format('truetype'),
	  url('../fonts/icomoon.woff?sr3yr9') format('woff'),
	  url('../fonts/icomoon.svg?sr3yr9#icomoon') format('svg');
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}

[class^="icon-"], [class*=" icon-"] {
	/* use !important to prevent issues with browser extensions that change fonts */
	font-family: 'icomoon' !important;
	speak: never;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
  
	/* Better Font Rendering =========== */
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
  }

.icon-eye_off:before {
  content: "\e932";
}
.icon-eye:before {
  content: "\e933";
}
  .icon-check:before {
  content: "\e92e";
}
.icon-heart:before {
  content: "\e92f";
}
.icon-settings:before {
  content: "\e930";
}
.icon-download:before {
  content: "\e92b";
}
.icon-price:before {
  content: "\e926";
}
.icon-floor-plan:before {
  content: "\e927";
}
.icon-build2:before {
  content: "\e928";
}
.icon-build3:before {
  content: "\e929";
}
  .icon-size1:before {
  content: "\e923";
}
.icon-bath1:before {
  content: "\e924";
}
.icon-bed1:before {
  content: "\e925";
}
.icon-map:before {
  content: "\e922";
}
.icon-grid_on:before {
  content: "\e920";
}
.icon-fav-f:before {
  content: "\e91f";
}
.icon-fav:before {
  content: "\e921";
}
.icon-not-favorited:before {
	content: "\e92a";
}
.icon-is-favorited:before {
	content: "\e919";
}
.icon-star-h:before {
	content: "\e92a";
}
.icon-star:before {
	content: "\e919";
}
.icon-trash-2:before {
  content: "\e91e";
}
.icon-pin1:before {
  content: "\e91a";
}
.icon-phone:before {
  content: "\e91b";
}
.icon-email:before {
  content: "\e91c";
}
.icon-id:before {
  content: "\e91d";
}
  .icon-euro:before {
	content: "\e917";
  }
.icon-profile:before {
	content: "\e913";
  }
  .icon-pref:before {
	content: "\e915";
  }
  .icon-out:before {
	content: "\e916";
  }
  .icon-size-2:before {
	content: "\e911";
  }
  .icon-instagram:before {
	content: "\e90c";
  }
  .icon-facebook:before {
	content: "\e910";
  }
  .icon-build:before {
	content: "\e907";
  }
  .icon-pin:before {
	content: "\e908";
  }
  .icon-build1:before {
	content: "\e909";
  }
  .icon-online:before {
	content: "\e90a";
  }
  .icon-chat:before {
	content: "\e90b";
  }
  .icon-angle-up:before {
	content: "\e90d";
  }
  .icon-floorplan:before {
	content: "\e903";
  }
  .icon-brochure:before {
	content: "\e906";
  }
.icon-calendar:before {
  content: "\e901";
}
  .icon-size:before {
	content: "\e93b";
  }

  .icon-arrow-right:before {
	content: "\e90e";
  }
  .icon-arrow-down:before {
	content: "\e90f";
  }
.icon-arrow-up:before {
  content: "\e900";
}
  .icon-angle-down:before {
	content: "\e902";
  }
	.icon-search:before {
	content: "\e904";
	}
	.icon-check_circle:before {
	content: "\e912";
	}
	.icon-home:before {
	content: "\e918";
	}
	.icon-star1:before {
	content: "\f005";
	}
	.icon-star-o:before {
	content: "\f006";
	}
  .icon-bath:before {
	content: "\e93f";
  }
.icon-bathtub:before {
  content: "\e93f";
}
.icon-s15:before {
  content: "\e93f";
}
  .icon-bed:before {
	content: "\e940";
  }
.icon-hotel:before {
  content: "\e940";
}
  .icon-pricelist:before {
	content: "\e905";
  }
.icon-copy:before {
  content: "\e914";
}

.icon-google:before {
  content: "\e92d";
}
.icon-apple:before {
  content: "\e92c";
}

/* Global styles & reset styles */
* {
	box-sizing: border-box;
}
[v-cloak] {
	display: none;
}
html {
    scroll-behavior: smooth;
}
html,
body {
	height: 100%;
}
body {
	margin: 0;
	min-width: 320px;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	background-color: var(--bgColor);
	font-family: var(--font-primary);
}
body.nav-active {
	overflow: hidden;
}
body:not(.logged-in) .hide-not-logged-in {
	display: none !important;
}
body:not(.logged-in) .advanced-filters {
	pointer-events: none;
	user-select: none;
}
body:not(.logged-in) .advanced-filters::after {
	content: '';
}
body:not(.logged-in) .star-link.fav-btn {
	display: none;
}
body.logged-in .star-link.signup-btn {
	display: none;
}
body.logged-in .advanced-filters .signup-btn {
	display: none;
}
body.logged-in .hide-logged-in {
	display: none !important;
}
body.logged-in .cta-block {
	display: none !important;
}
body.logged-in .hidden-not-logged-in:after {
	content: none !important;
}
body.logged-in .hidden-not-logged-in .btn {
	display: none !important;
}
body.modal-open {
	overflow: hidden;
}
#app {
	position: relative;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}
img {
	max-width: 100%;
	height: auto;
}
img.lazy {
	opacity: 0;
	transition: opacity 0.3s ease;
}
img.lazy.loaded {
	opacity: 1;
}
a {
	text-decoration: none;
	transition: color .3s;
}
a:hover {
	text-decoration: none;
}
h1,h2,h3,h4,h5,h6 {
	margin: 0 0 20px;
}
h1,.h1 {
	font-size: var(--h1-size);
}
h2,.h2 {
	font-size: var(--h2-size);
}
h3,.h3 {
	font-size: var(--h3-size);
}
p {
	margin: 0 0 15px;
}
.uppercase {
	text-transform: uppercase;
}
.pt-0 {
	padding-top: 0 !important;
}
.w-100 {
	width: 100%;
}
.d-flex {
	display: flex;
}
.justify-between {
	justify-content: space-between;
}
.flex-column {
	flex-direction: column;
}
.text-center {
	text-align: center;
}
.text-right {
	text-align: right;
}
.position-relative {
	position: relative;
}

/* Common elements */
.btn {
	cursor: pointer;
	display: inline-block;
	vertical-align: middle;
	transition: .3s color, .3s border-color, .3s background-color;
	text-transform: capitalize;
	text-align: center;
	font-family: var(--font-primary);
	padding: var(--btn-padding, 7px 10px);
}
.btn-lg {
	width: 100%;
	padding: 12px 10px;
	font-weight: 600;
}
.btn.disabled {
	pointer-events: none;
	opacity: .5;
}
.btn.loading:after {
	pointer-events: none;
	top: 0;
	left: 0;
	width: 40px;
	height: 40px;
}
.btn-apple {
	background-color: #fff !important;
	border-color: #D1D5DB !important;
	color: #301E0F !important;
	display: flex;
	align-items: center;
	gap: 10px;
	justify-content: center;
	padding: 10px 15px !important;
	font-size: 16px;
	font-weight: 500;
}
.btn-apple:hover {
	background-color: #5C84F1 !important;
}
.btn-apple i,
.btn-google i {
	font-size: 18px;
	line-height: 1;
}
.btn-google {
	background-color: #fff !important;
	border-color: #D1D5DB !important;
	color: #301E0F !important;
	display: flex;
	align-items: center;
	gap: 10px;
	justify-content: center;
	padding: 10px 15px !important;
	font-size: 16px;
	font-weight: 500;
}
.btn-google:hover {
	background-color: #5C84F1 !important;
}

.close-icon {
	width: 10px;
	height: 10px;
	position: relative;
	display: inline-block;
	vertical-align: middle;
}
.close-icon::after,
.close-icon::before {
	content: '';
	width: 2px;
	height: 10px;
	background-color: #000;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(45deg);
}
.close-icon::before {
	width: 10px;
	height: 2px;
}

.loading {
	position: relative;
	pointer-events: none;
}
.loading:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(250, 253, 251, 0.7);
	z-index: 10;
	pointer-events: none;
}
.loading:after {
	content: '';
	position: absolute;
	top: 20px;
	left: 50%;
	transform: translateX(-50%);
	width: 50px;
	height: 50px;
	z-index: 11;
	background-color: #333;
	border-radius: 100%;
	-webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
	animation: sk-scaleout 1.0s infinite ease-in-out;
}

.form-subtext {
	color: inherit;
	font-weight: 400;
	font-size: 14px;
	text-align: center;
}

.form-subtext a {
	color: inherit;
	font-weight: 600;
}

.social-divider {
	text-align: center;
	font-weight: 500;
	color: #fff;
	position: relative;
	margin: 5px 0 25px;
}

.social-divider span {
	display: inline-block;
	position: relative;
	z-index: 2;
	color: #fff;
}

.social-divider::before {
	content: '';
	position: absolute;
	top: 50%;
	left: 0;
	right: 0;
	height: 1px;
	background-color: rgba(255, 255, 255, 0.3);
}

.modal-section .social-divider {
	margin: 15px 0;
	color: #7F7368;
}

.modal-section .social-divider span {
	padding: 10px 20px;
	color: #7F7368;
}

.modal-section .social-divider::before {
	background-color: rgba(0, 0, 0, 0.1);
}

.password-label .input-holder {
	position: relative;
}

.password-label .input-holder input {
	padding-right: 30px;
}

.password-label .input-holder i {
	position: absolute;
	top: 50%;
	right: 10px;
	transform: translateY(-50%);
	cursor: pointer;
	color: rgba(0, 0, 0, 0.5);
}

/* NoUi Slider */
.noUi-handle {
	width: var(--noui-handle-width) !important;
	height: var(--noui-handle-height) !important;
	border-radius: var(--noui-border-radius) !important;
	background-color: var(--noui-bg) !important;
	box-shadow: var(--noui-shadow) !important;
	top: var(--noui-top) !important;
	border: var(--noui-border) !important;
	cursor: pointer;
}

/* Common block styles */
.property-intro .container-full {
	margin-bottom: 19px;
	display: grid;
	grid-template-columns: 1fr;
	gap: 5px;
}

.map-block {
	border-radius: 12px;
	overflow: hidden;
	min-height: 150px;
	order: 2;
}

.map-block #map {
	height: 100%;
}

.map-block.advanced-filters .btn {
	top: 50%;
	transform: translate(-50%, -50%);
}

.map-block.advanced-filters:after {
	background-color: rgba(248, 250, 252, 0.5);
}

.advanced-filters .signup-btn {
	max-width: 150px;
	position: absolute;
	z-index: 2;
	top: 10px;
	left: 50%;
	pointer-events: all;
	transform: translateX(-50%);
	width: 100%;
}

.main-content-section h1 {
  text-align: center;
}

.main-content-section hr {
  margin: 20px auto;
}

#header {
	padding: 22px 0;
	position: relative;
	z-index: 99;
}

#header .container-full {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

#header .container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 10px;
	max-width: 1350px;
}
.container {
	padding: 0 15px;
	width: 100%;
	max-width: 1270px;
	margin: 0 auto;
}
.container-full {
	padding: 0 15px;
	width: 100%;
}
.container-xs {
	padding: 0 15px;
	width: 100%;
	max-width: 1000px;
	margin: 0 auto;
}
.container-sm {
	padding: 0 15px;
	width: 100%;
	max-width: 1146px;
	margin: 0 auto;
}

.signup-section {
	color: #fff;
	padding: 20px;
	text-align: center;
	text-shadow: 0px 4px 8px #00000026;
}

.signup-section h1,
.signup-section .h1 {
	color: inherit;
	font-weight: 700;
	margin-bottom: 20px;
}

.signup-section h2.h1 {
	margin-bottom: 12px;
}

.signup-section .subtext {
	font-size: 18px;
	font-weight: 600;
}

.signup-section .subtext p {
	margin-bottom: 30px;
}

.signup-section .container {
	position: relative;
	z-index: 1;
}

.signup-section .bg-img {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: linear-gradient(90deg, rgba(0, 0, 0, 0.4) 0%, rgba(0, 0, 0, 0.3) 50%, rgba(0, 0, 0, 0.4) 100%);
}

.signup-section .bg-img img {
	filter: blur(7px);
	object-fit: cover;
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	z-index: -1;
}

.signup-section .features-list {
	padding: 0;
	margin: 0 0 30px;
	list-style: none;
	font-size: 14px;
}

.signup-section .features-list li {
	position: relative;
	padding-left: 30px;
	text-align: left;
}

.signup-section .features-list i {
	position: absolute;
	left: 0;
	top: 5px;
}

.signup-section .features-list .subtitle {
	font-weight: 600;
}

.signup-section .form-col {
	text-align: center;
}

.signup-section .title {
	font-weight: 400;
	font-size: 16px;
	display: block;
	margin-bottom: 30px;
}

.signup-section .text-col {
	display: none;
}

.buyer-check {
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 6px;
	flex-direction: column;
	font-size: 12px;
	margin-bottom: 30px;
}

.buyer-check a {
	color: inherit;
}

.signup-section .logo {
	display: block;
	margin: 0 0 30px;
}

.signup-section .agents-block {
	display: none;
}

.signup-section .rating {
	text-align: center;
}

.signup-section .rating i {
	color: #F59E0B;
}

.signup-section .agents-list {
	list-style: none;
	display: flex;
	flex-direction: row-reverse;
	justify-content: flex-end;
	padding: 0;
	margin: 0
}

.signup-section .agents-list li {
	margin: 0 -15px 0 0;
	position: relative;
}

.signup-section .agents-list .img-holder {
	width: 40px;
	height: 40px;
	border-radius: 50%;
	overflow: hidden;
	border: 2px solid #fff;
	background-color: #fff;
	display: flex;
	align-items: center;
	justify-content: center;
}

.signup-section .agents-list img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.types-holder {
	display: flex;
	flex-wrap: wrap;
	gap: 20px;
	margin-bottom: 20px;
}

.signup-section .custom-radio {
	color: #fff !important;
}

.navbar-cta {
	border-radius: var(--radius-sm);
	display: flex;
	flex-direction: column;
	gap: 5px;
	border: 1px solid rgba(40, 167, 69, 0.45);
	margin-bottom: 20px;
	padding: 10px;
	background-color: #F0FAF2;
	box-shadow: 0px 6px 18px 0px #0000000A;
}

.navbar-cta .title-col {
	display: flex;
	align-items: center;
	gap: 10px;
	font-size: 12px;
	flex-shrink: 0;
}

.navbar-cta .title-col .icon-holder {
	width: 20px;
	height: 20px;
	border-radius: 50%;
	background-color: #28A745;
	display: block;
	position: relative;
}

.navbar-cta .title-col .icon-holder::after {
	content: '';
	width: 3px;
	height: 7px;
	border: solid #fff;
	border-width: 0 2px 2px 0;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(45deg);
	margin-top: -1px;
}

.navbar-cta .features-list {
	padding: 0 5px;
	margin: 0;
	list-style: none;
	text-transform: capitalize;
	font-weight: 500;
	color: #1A120A;
	font-size: 14px;
}

.navbar-cta .features-list li {
	position: relative;
	display: flex;
	align-items: center;
	gap: 10px;
}

.navbar-cta .features-list li::before {
	content: '';
	width: 4px;
	height: 8px;
	border: solid #28A745;
	border-width: 0 2px 2px 0;
	transform: rotate(45deg);
	margin-top: -4px;
}

.navbar-cta .title {
	font-size: 14px;
	color: #1A120A;
}

.navbar-cta p {
	display: none;
}

.navbar-cta .btn {
	flex-shrink: 0;
}

@media (min-width: 480px) {
	.property-intro .container-full {
		grid-template-columns: 170px 1fr;
		gap: 12px;
	}

	.map-block {
		min-height: 0;
		order: 0;
	}
}

@media (min-width: 768px) {
	.property-intro .container-full {
		grid-template-columns: 200px 1fr;
	}
	#header .container {
		gap: 20px;
	}

	.navbar-cta .features-list {
		display: flex;
		align-items: center;
		justify-content: space-between;
		gap: 5px;
		flex-grow: 1;
	}

	.navbar-cta {
		gap: 10px;
	}

	.signup-section {
		text-align: left;
	}

	.signup-section .row {
		display: flex;
		align-items: center;
		gap: 50px;
	}

	.signup-section .form-col {
		max-width: 300px;
		width: 100%;
	}

	.signup-section .agents-block {
		display: block;
		max-width: 272px;
	}

	.signup-section .text-col {
		display: block;
	}
}

@media (min-width: 1024px) {
	.property-intro .container-full {
		grid-template-columns: 300px 1fr;
	}
	.advanced-filters .signup-btn {
		max-width: 215px;
	}

	.signup-section {
		padding: 40px;
	}

	.signup-section h1 {
		font-size: 36px;
	}

	.signup-section .row {
		gap: 100px;
	}

	.signup-section .form-col {
		max-width: 386px;
	}

	.signup-section .features-list {
		margin: 0 0 100px;
	}

	.navbar-cta {
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
	}

	.navbar-cta .features-list {
		gap: 10px;
		justify-content: space-around;
		padding: 0;
	}

	.navbar-cta .title-col .icon-holder {
		width: 40px;
		height: 40px;
	}

	.navbar-cta .title-col .icon-holder::after {
		width: 6px;
		height: 12px;
		border-width: 0 3px 3px 0;
		margin-top: -2px;
	}

	.navbar-cta p {
		margin: 0;
		display: block;
	}
}

@media (min-width: 1200px) {
	.signup-section .row {
		gap: 200px;
	}

	.navbar-cta {
		gap: 50px;
		margin-bottom: 50px;
	}

	.navbar-cta .features-list {
		gap: 30px;
		font-size: 16px;
	}

	.navbar-cta .title {
		font-size: 15px;
	}
}

@media (min-width: 2024px) {
	.property-intro .container-full {
		grid-template-columns: 388px 1fr !important;
	}
}

/* Keyframes */
@-webkit-keyframes sk-scaleout {
	0% { -webkit-transform: scale(0) }
	100% {
		-webkit-transform: scale(1.0);
		opacity: 0;
	}
}
@keyframes sk-scaleout {
	0% { 
		-webkit-transform: scale(0);
		transform: scale(0);
	} 100% {
		-webkit-transform: scale(1.0);
		transform: scale(1.0);
		opacity: 0;
	}
}
@keyframes carousel-spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}